/*
 * this is a small part of c.h since we don't want to leak all uxdb
 * definitions into ecux programs
 * src/interfaces/ecux/include/ecuxlib.h
 */

#ifndef _ECUXLIB_H
#define _ECUXLIB_H

#include "libuxsql-fe.h"
#include "ecuxtype.h"
#include "sqlca.h"
#include <string.h>

#ifdef ENABLE_NLS
extern char *ecux_gettext(const char *msgid) ux_attribute_format_arg(1);
#else
#define ecux_gettext(x) (x)
#endif

#ifndef __cplusplus
#ifndef bool
#define bool char
#endif							/* ndef bool */

#ifndef true
#define true	((bool) 1)
#endif							/* ndef true */
#ifndef false
#define false	((bool) 0)
#endif							/* ndef false */
#endif							/* not C++ */

#ifndef TRUE
#define TRUE	1
#endif							/* TRUE */

#ifndef FALSE
#define FALSE	0
#endif							/* FALSE */

#ifdef __cplusplus
extern "C"
{
#endif

void		ECUXdebug(int, FILE *);
bool		ECUXstatus(int, const char *);
bool		ECUXsetcommit(int, const char *, const char *);
bool		ECUXsetconn(int, const char *);
bool		ECUXconnect(int, int, const char *, const char *, const char *, const char *, int);
bool		ECUXdo(const int, const int, const int, const char *, const bool, const int, const char *,...);
bool		ECUXtrans(int, const char *, const char *);
bool		ECUXdisconnect(int, const char *);
bool		ECUXprepare(int, const char *, const bool, const char *, const char *);
bool		ECUXdeallocate(int, int, const char *, const char *);
bool		ECUXdeallocate_all(int, int, const char *);
char	   *ECUXprepared_statement(const char *, const char *, int);
UXconn	   *ECUXget_UXconn(const char *);
UXTransactionStatusType ECUXtransactionStatus(const char *);

char	   *ECUXerrmsg(void);

 /* print an error message */
void		sqlprint(void);

/* define this for simplicity as well as compatibility */

#define		SQLCODE		sqlca.sqlcode
#define		SQLSTATE		sqlca.sqlstate

/* dynamic SQL */

bool		ECUXdo_descriptor(int, const char *, const char *, const char *);
bool		ECUXdeallocate_desc(int, const char *);
bool		ECUXallocate_desc(int, const char *);
bool		ECUXget_desc_header(int, const char *, int *);
bool		ECUXget_desc(int, const char *, int,...);
bool		ECUXset_desc_header(int, const char *, int);
bool		ECUXset_desc(int, const char *, int,...);

void		ECUXset_noind_null(enum ECUXttype, void *);
bool		ECUXis_noind_null(enum ECUXttype, void *);
bool		ECUXdescribe(int, int, bool, const char *, const char *,...);

void		ECUXset_var(int, void *, int);
void	   *ECUXget_var(int number);

/* dynamic result allocation */
void		ECUXfree_auto_mem(void);

#ifdef ENABLE_THREAD_SAFETY
void		ecux_pthreads_init(void);
#endif

#ifdef __cplusplus
}
#endif

#endif							/* _ECUXLIB_H */
