#ifndef ECUX_SQLTYPES_H
#define ECUX_SQLTYPES_H

#include <limits.h>

#define CCHARTYPE	ECUXt_char
#define CSHORTTYPE	ECUXt_short
#define CINTTYPE	ECUXt_int
#define CLONGTYPE	ECUXt_long
#define CFLOATTYPE	ECUXt_float
#define CDOUBLETYPE ECUXt_double
#define CDECIMALTYPE	ECUXt_decimal
#define CFIXCHARTYPE	108
#define CSTRINGTYPE ECUXt_char
#define CDATETYPE	ECUXt_date
#define CMONEYTYPE	111
#define CDTIMETYPE	ECUXt_timestamp
#define CLOCATORTYPE	113
#define CVCHARTYPE	ECUXt_varchar
#define CINVTYPE	115
#define CFILETYPE	116
#define CINT8TYPE	ECUXt_long_long
#define CCOLLTYPE		118
#define CLVCHARTYPE		119
#define CFIXBINTYPE		120
#define CVARBINTYPE		121
#define CBOOLTYPE		ECUXt_bool
#define CROWTYPE		123
#define CLVCHARPTRTYPE	124
#define CTYPEMAX	25

/*
 * Values used in sqlda->sqlvar[i]->sqltype
 */
#define SQLCHAR		ECUXt_char
#define SQLSMINT	ECUXt_short
#define SQLINT		ECUXt_int
#define SQLFLOAT	ECUXt_double
#define SQLSMFLOAT	ECUXt_float
#define SQLDECIMAL	ECUXt_decimal
#define SQLSERIAL	ECUXt_int
#define SQLDATE		ECUXt_date
#define SQLDTIME	ECUXt_timestamp
#define SQLTEXT		ECUXt_char
#define SQLVCHAR	ECUXt_char
#define SQLINTERVAL		ECUXt_interval
#define SQLNCHAR	ECUXt_char
#define SQLNVCHAR	ECUXt_char
#ifdef HAVE_LONG_LONG_INT_64
#define SQLINT8		ECUXt_long_long
#define SQLSERIAL8	ECUXt_long_long
#else
#define SQLINT8		ECUXt_long
#define SQLSERIAL8	ECUXt_long
#endif

#endif							/* ndef ECUX_SQLTYPES_H */
