/*-------------------------------------------------------------------------
 *
 * ux_inherits_fn.h
 *	  prototypes for functions in catalog/ux_inherits.c
 *
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/catalog/ux_inherits_fn.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_INHERITS_FN_H
#define UX_INHERITS_FN_H

#include "nodes/ux_list.h"
#include "storage/lock.h"

extern List *find_inheritance_children(Oid parentrelId, LOCKMODE lockmode);
extern List *find_all_inheritors(Oid parentrelId, LOCKMODE lockmode,
					List **parents);
extern bool has_subclass(Oid relationId);
extern bool has_superclass(Oid relationId);
extern bool typeInheritsFrom(Oid subclassTypeId, Oid superclassTypeId);

#endif							/* UX_INHERITS_FN_H */
