/*-------------------------------------------------------------------------
 *
 * ux_largeobject_metadata.h
 *	  definition of the system "largeobject_metadata" relation (ux_largeobject_metadata)
 *	  along with the relation's initial contents.
 *
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/catalog/ux_largeobject_metadata.h
 *
 * NOTES
 *	  the genbki.pl script reads this file and generates .bki
 *	  information from the DATA() statements.
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_LARGEOBJECT_METADATA_H
#define UX_LARGEOBJECT_METADATA_H

#include "catalog/genbki.h"

/* ----------------
 *		ux_largeobject_metadata definition. cpp turns this into
 *		typedef struct FormData_ux_largeobject_metadata
 * ----------------
 */
#define LargeObjectMetadataRelationId  2995

CATALOG(ux_largeobject_metadata,2995)
{
	Oid			lomowner;		/* OID of the largeobject owner */

#ifdef CATALOG_VARLEN			/* variable-length fields start here */
	aclitem		lomacl[1];		/* access permissions */
#endif
} FormData_ux_largeobject_metadata;

/* ----------------
 *		Form_ux_largeobject_metadata corresponds to a pointer to a tuple
 *		with the format of ux_largeobject_metadata relation.
 * ----------------
 */
typedef FormData_ux_largeobject_metadata *Form_ux_largeobject_metadata;

/* ----------------
 *		compiler constants for ux_largeobject_metadata
 * ----------------
 */
#define Natts_ux_largeobject_metadata			2
#define Anum_ux_largeobject_metadata_lomowner	1
#define Anum_ux_largeobject_metadata_lomacl		2

#endif							/* UX_LARGEOBJECT_METADATA_H */
