/*-------------------------------------------------------------------------
 *
 * ux_operator_fn.h
*	 prototypes for functions in catalog/ux_operator.c
 *
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/catalog/ux_operator_fn.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_OPERATOR_FN_H
#define UX_OPERATOR_FN_H

#include "catalog/objectaddress.h"
#include "nodes/ux_list.h"

extern ObjectAddress OperatorCreate(const char *operatorName,
			   Oid operatorNamespace,
			   Oid leftTypeId,
			   Oid rightTypeId,
			   Oid procedureId,
			   List *commutatorName,
			   List *negatorName,
			   Oid restrictionId,
			   Oid joinId,
			   bool canMerge,
			   bool canHash);

extern ObjectAddress makeOperatorDependencies(HeapTuple tuple, bool isUpdate);

extern void OperatorUpd(Oid baseId, Oid commId, Oid negId, bool isDelete);

#endif							/* UX_OPERATOR_FN_H */
