/*-------------------------------------------------------------------------
 *
 * ux_publication_rel.h
 *	  definition of the publication to relation map (ux_publication_rel)
  *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/catalog/ux_publication_rel.h
 *
 * NOTES
 *	  the genbki.pl script reads this file and generates .bki
 *	  information from the DATA() statements.
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_PUBLICATION_REL_H
#define UX_PUBLICATION_REL_H

#include "catalog/genbki.h"

/* ----------------
 *		ux_publication_rel definition.  cpp turns this into
 *		typedef struct FormData_ux_publication_rel
 *
 * ----------------
 */
#define PublicationRelRelationId				6106

CATALOG(ux_publication_rel,6106)
{
	Oid			prpubid;		/* Oid of the publication */
	Oid			prrelid;		/* Oid of the relation */
} FormData_ux_publication_rel;

/* ----------------
 *		Form_ux_publication_rel corresponds to a pointer to a tuple with
 *		the format of ux_publication_rel relation.
 * ----------------
 */
typedef FormData_ux_publication_rel *Form_ux_publication_rel;

/* ----------------
 *		compiler constants for ux_publication_rel
 * ----------------
 */

#define Natts_ux_publication_rel				2
#define Anum_ux_publication_rel_prpubid			1
#define Anum_ux_publication_rel_prrelid			2

#endif							/* UX_PUBLICATION_REL_H */
