/* -------------------------------------------------------------------------
 *
 * ux_seclabel.h
 *	  definition of the system "security label" relation (ux_seclabel)
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * -------------------------------------------------------------------------
 */
#ifndef UX_SECLABEL_H
#define UX_SECLABEL_H

#include "catalog/genbki.h"

/* ----------------
 *		ux_seclabel definition.  cpp turns this into
 *		typedef struct FormData_ux_seclabel
 * ----------------
 */
#define SecLabelRelationId		3596

CATALOG(ux_seclabel,3596) BKI_WITHOUT_OIDS
{
	Oid			objoid;			/* OID of the object itself */
	Oid			classoid;		/* OID of table containing the object */
	int32		objsubid;		/* column number, or 0 if not used */

#ifdef CATALOG_VARLEN			/* variable-length fields start here */
	text		provider BKI_FORCE_NOT_NULL;	/* name of label provider */
	text		label BKI_FORCE_NOT_NULL;	/* security label of the object */
#endif
} FormData_ux_seclabel;

/* ----------------
 *		compiler constants for ux_seclabel
 * ----------------
 */
#define Natts_ux_seclabel			5
#define Anum_ux_seclabel_objoid		1
#define Anum_ux_seclabel_classoid	2
#define Anum_ux_seclabel_objsubid	3
#define Anum_ux_seclabel_provider	4
#define Anum_ux_seclabel_label		5

#endif							/* UX_SECLABEL_H */
