/*-------------------------------------------------------------------------
 *
 * ux_transform.h
 *
 * Copyright (c) 2012-2017, UXsinoDB Global Development Group
 *
 * src/include/catalog/ux_transform.h
 *
 * NOTES
 *	  the genbki.pl script reads this file and generates .bki
 *	  information from the DATA() statements.
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_TRANSFORM_H
#define UX_TRANSFORM_H

#include "catalog/genbki.h"

/* ----------------
 *		ux_transform definition.  cpp turns this into
 *		typedef struct FormData_ux_transform
 * ----------------
 */
#define TransformRelationId 3576

CATALOG(ux_transform,3576)
{
	Oid			trftype;
	Oid			trflang;
	regproc		trffromsql;
	regproc		trftosql;
} FormData_ux_transform;

typedef FormData_ux_transform *Form_ux_transform;

/* ----------------
 *		compiler constants for ux_transform
 * ----------------
 */
#define Natts_ux_transform			4
#define Anum_ux_transform_trftype	1
#define Anum_ux_transform_trflang	2
#define Anum_ux_transform_trffromsql	3
#define Anum_ux_transform_trftosql	4

#endif							/* UX_TRANSFORM_H */
