/*-------------------------------------------------------------------------
 *
 * md5.h
 *	  Interface to libuxsql/md5.c
 *
 * These definitions are needed by both frontend and backend code to work
 * with MD5-encrypted passwords.
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/common/md5.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_MD5_H
#define UX_MD5_H

#define MD5_PASSWD_LEN	35

extern bool ux_md5_hash(const void *buff, size_t len, char *hexsum);
extern bool ux_md5_binary(const void *buff, size_t len, void *outbuf);
extern bool ux_md5_encrypt(const char *passwd, const char *salt,
			   size_t salt_len, char *buf);

#endif
