/*-------------------------------------------------------------------------
 *
 * ifaddr.h
 *	  IP netmask calculations, and enumerating network interfaces.
 *
 * Copyright (c) 2003-2017, UXsinoDB Global Development Group
 *
 * src/include/libuxsql/ifaddr.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef IFADDR_H
#define IFADDR_H

#include "libuxsql/uxsqlcomm.h"		/* uxrminclude ignore */

typedef void (*UxIfAddrCallback) (struct sockaddr *addr,
								  struct sockaddr *netmask,
								  void *cb_data);

extern int ux_range_sockaddr(const struct sockaddr_storage *addr,
				  const struct sockaddr_storage *netaddr,
				  const struct sockaddr_storage *netmask);

extern int ux_sockaddr_cidr_mask(struct sockaddr_storage *mask,
					  char *numbits, int family);

extern int	ux_foreach_ifaddr(UxIfAddrCallback callback, void *cb_data);

#endif							/* IFADDR_H */
