/*-------------------------------------------------------------------------
 *
 * scram.h
 *	  Interface to libuxsql/scram.c
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/libuxsql/scram.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_SCRAM_H
#define UX_SCRAM_H

/* Name of SCRAM-SHA-256 per IANA */
#define SCRAM_SHA256_NAME "SCRAM-SHA-256"

/* Status codes for message exchange */
#define SASL_EXCHANGE_CONTINUE		0
#define SASL_EXCHANGE_SUCCESS		1
#define SASL_EXCHANGE_FAILURE		2

/* Routines dedicated to authentication */
extern void *ux_be_scram_init(const char *username, const char *shadow_pass);
extern int ux_be_scram_exchange(void *opaq, char *input, int inputlen,
					 char **output, int *outputlen, char **logdetail);

/* Routines to handle and check SCRAM-SHA-256 verifier */
extern char *ux_be_scram_build_verifier(const char *password);
extern bool scram_verify_plain_password(const char *username,
							const char *password, const char *verifier);

#endif							/* UX_SCRAM_H */
