/*-------------------------------------------------------------------------
 *
 * uxsqlsignal.h
 *	  Backend signal(2) support (see also src/port/uxsqlsignal.c)
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/libuxsql/uxsqlsignal.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UXSQLSIGNAL_H
#define UXSQLSIGNAL_H

#include <signal.h>

#ifndef WIN32
#define UX_SETMASK(mask)	sigprocmask(SIG_SETMASK, mask, NULL)
#else
/* Emulate POSIX sigset_t APIs on Windows */
typedef int sigset_t;

extern int	uxsqlsigsetmask(int mask);

#define UX_SETMASK(mask)		uxsqlsigsetmask(*(mask))
#define sigemptyset(set)		(*(set) = 0)
#define sigfillset(set)			(*(set) = ~0)
#define sigaddset(set, signum)	(*(set) |= (sigmask(signum)))
#define sigdelset(set, signum)	(*(set) &= ~(sigmask(signum)))
#endif							/* WIN32 */

extern sigset_t UnBlockSig,
			BlockSig,
			StartupBlockSig;

extern void uxsqlinitmask(void);

#endif							/* UXSQLSIGNAL_H */
