/**************************************************************
* @file GeneratePublicAndPrivateKey.h
* Date: 2017/11/01
* Author: shiqing
* History: 001)[Modify reason 1]
* Editor: 001) Editor YYYY/MM/DD
* All Right Reserved, Copyright(c) Beijing Uxsino Limited 2017.
* **************************************************************/
#ifndef GENERATE_PUBLIC_AND_PRIVATE_KEY_
#define GENERATE_PUBLIC_AND_PRIVATE_KEY_

#define MAX_PRIME_AMOUNT 20480      // Maximum number of generated prime private keys
#define MAX_PRIME_NUM 10240 // Random Generated Maximum Primes

#define FUNC_OK 0
#define FUNC_ERR -1

/*
 * Primes pairs randomly generated
 * according to time
 */
typedef struct pair_prime_number{
	long digit_one;
	long digit_two;
}PAIR_PRIME;

/*
 * Save all data less than (digit_one)*(digit_two)
 * and prime each other
 */
typedef struct pKeyset
{
	long set[MAX_PRIME_AMOUNT];
	unsigned int size;
}PSET;

/*
 * Save public key, private key pair
 */
typedef struct pPairkey
{
	unsigned int publicKey;
	unsigned int privateKey;
	unsigned int n;
}PAIRKEY;

enum result{
	GENERATE_OK = 0,
	ERROR_NOEACHPRIME,
	ERROR_NOPUBLICKEY,
	ERROR_GENERROR
};

/*
 * Define the score, mainly used to select the private key 
 * subscript value from three-quarters of the private key set
 */
enum fraction{
	DENOMINATOR = 4, // denominator
	MOLECULAR = 3   // numerator
};

int GenerateRandPrimeNumber();
unsigned int MakePrivatedKeyd(long uiP, long uiQ);
int isPrime(unsigned int m, unsigned int n);
int MakePairkey(long uiP, long uiQ, long uiD);
int GeneratePublicKey(PAIRKEY *pair_key);

#endif
