/**************************************************************
* @file RsaDecrypt.h
* Date: 2017/09/28
* Author: shiqing
* History: 001)[Modify reason 1]
* Editor: 001) Editor YYYY/MM/DD
* All Right Reserved, Copyright(c) Beijing Uxsino Limited 2017.
 * **************************************************************/
#ifndef RSA_DECRYPT_H_
#define RSA_DECRYPT_H_

#include"Cjson.h"

#define maxn 0x8000     /* Theory supports the length of the plaintext */
#define MAX_LENGTH 64
#define MAX_LICENSE_FILE_PATH_LENGTH 256
#define MAX_CLEAR_TEXT_LENGTH 10240
#define MAX_CIPHER_TEXT_LENGTH 32638
#define DES_KEY_TEXT_LENGTH 16

#define ENCODE 0,16,1       /* Encryption macro */
#define DECODE 15,-1,-1     /* Decryption macro*/

#ifndef WIN32
#define UXDB_LICENSE_FILE_PATH "license/uxdb.lic"
#else
#define DEFAULT_UXDB_PATH "D:\\UXDB"
#define UXDB_LICENSE_FILE_PATH "license\\uxdb.lic"
#endif

enum result
{
	OK = 0,
	ERR
};

typedef struct pPublicPairkey
{
	unsigned int publicKey;
	unsigned int n;
}PUBLICPAIRKEY;

void rsa_decrypt(int n, int d, int *cw, int cLength, char *clearText);
int readLicenseValue(unsigned char *licP, int *desP, PUBLICPAIRKEY *pairkey);
extern int decrypt(cJSON ** clearTextObject);

#endif
