/*-------------------------------------------------------------------------
 *
 * uxsqluery.h
 *	  prototypes for uxsqluery.c.
 *
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/tcop/uxsqluery.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UXSQLUERY_H
#define UXSQLUERY_H

#include "nodes/parsenodes.h"
#include "utils/portal.h"


extern UXDLLIMPORT Portal ActivePortal;


extern PortalStrategy ChoosePortalStrategy(List *stmts);

extern List *FetchPortalTargetList(Portal portal);

extern List *FetchStatementTargetList(Node *stmt);

extern void PortalStart(Portal portal, ParamListInfo params,
			int eflags, Snapshot snapshot);

extern void PortalSetResultFormat(Portal portal, int nFormats,
					  int16 *formats);

extern bool PortalRun(Portal portal, long count, bool isTopLevel,
		  bool run_once, DestReceiver *dest, DestReceiver *altdest,
		  char *completionTag);

extern uint64 PortalRunFetch(Portal portal,
			   FetchDirection fdirection,
			   long count,
			   DestReceiver *dest);

#endif							/* UXSQLUERY_H */
