/*-------------------------------------------------------------------------
 *
 * ux_lsn.h
 *		Declarations for operations on log sequence numbers (LSNs) of
 *		UXsinoDB.
 *
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/utils/ux_lsn.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_LSN_H
#define UX_LSN_H

#include "fmgr.h"
#include "access/xlogdefs.h"

#define DatumGetLSN(X) ((XLogRecPtr) DatumGetInt64(X))
#define LSNGetDatum(X) (Int64GetDatum((int64) (X)))

#define UX_GETARG_LSN(n)	 DatumGetLSN(UX_GETARG_DATUM(n))
#define UX_RETURN_LSN(x)	 return LSNGetDatum(x)

#endif							/* UX_LSN_H */
