/*-------------------------------------------------------------------------
 *
 * ux_rusage.h
 *	  header file for resource usage measurement support routines
 *
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/utils/ux_rusage.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef UX_RUSAGE_H
#define UX_RUSAGE_H

#include <sys/time.h>

#ifdef HAVE_SYS_RESOURCE_H
#include <sys/resource.h>
#else
#include "rusagestub.h"
#endif


/* State structure for ux_rusage_init/ux_rusage_show */
typedef struct UXRUsage
{
	struct timeval tv;
	struct rusage ru;
} UXRUsage;


extern void ux_rusage_init(UXRUsage *ru0);
extern const char *ux_rusage_show(const UXRUsage *ru0);

#endif							/* UX_RUSAGE_H */
