/*-------------------------------------------------------------------------
 *
 * uxarch.h
 *	  Exports from uxmaster/uxarch.c.
 *
 * Portions Copyright (c) 1996-2017, UXsinoDB Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * src/include/uxmaster/uxarch.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef _UXARCH_H
#define _UXARCH_H

/* ----------
 * Archiver control info.
 *
 * We expect that archivable files within ux_wal will have names between
 * MIN_XFN_CHARS and MAX_XFN_CHARS in length, consisting only of characters
 * appearing in VALID_XFN_CHARS.  The status files in archive_status have
 * corresponding names with ".ready" or ".done" appended.
 * ----------
 */
#define MIN_XFN_CHARS	16
#define MAX_XFN_CHARS	40
#define VALID_XFN_CHARS "0123456789ABCDEF.history.backup.partial"

/* ----------
 * cover definitions.
 * ----------
 */
#define COVER_FILE  1               /* Cover the same name file.*/
#define NO_COVER_FILE  0            /* Do not cover the same name file.*/

/* ----------
 * Functions called from uxmaster
 * ----------
 */
extern int	uxarch_start(void);

#ifdef EXEC_BACKEND
extern void UxArchiverMain(int argc, char *argv[]) ux_attribute_noreturn();
#endif

#endif							/* _UXARCH_H */
