/* src/interfaces/ecux/include/uxtypes_interval.h */

#ifndef UXTYPES_INTERVAL
#define UXTYPES_INTERVAL

#include <ecux_config.h>

#ifndef C_H

#ifdef HAVE_LONG_INT_64
#ifndef HAVE_INT64
typedef long int int64;
#endif
#elif defined(HAVE_LONG_LONG_INT_64)
#ifndef HAVE_INT64
typedef long long int int64;
#endif
#else
/* neither HAVE_LONG_INT_64 nor HAVE_LONG_LONG_INT_64 */
#error must have a working 64-bit integer datatype
#endif

#define HAVE_INT64_TIMESTAMP
#endif							/* C_H */

typedef struct
{
	int64		time;			/* all time units other than months and years */
	long		month;			/* months and years, after time for alignment */
}			interval;

#ifdef __cplusplus
extern "C"
{
#endif

extern interval * UXTYPESinterval_new(void);
extern void UXTYPESinterval_free(interval *);
extern interval * UXTYPESinterval_from_asc(char *, char **);
extern char *UXTYPESinterval_to_asc(interval *);
extern int	UXTYPESinterval_copy(interval *, interval *);

#ifdef __cplusplus
}
#endif

#endif							/* UXTYPES_INTERVAL */
