/* contrib/adminpack/adminpack--1.0.sql */

-- complain if script is sourced in uxsql, rather than via CREATE EXTENSION
\echo Use "CREATE EXTENSION adminpack" to load this file. \quit

/* ***********************************************
 * Administrative functions for UXsinoDB
 * *********************************************** */

/* generic file access functions */

CREATE FUNCTION ux_catalog.ux_file_write(text, text, bool)
RETURNS bigint
AS 'MODULE_PATHNAME', 'ux_file_write'
LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION ux_catalog.ux_file_rename(text, text, text)
RETURNS bool
AS 'MODULE_PATHNAME', 'ux_file_rename'
LANGUAGE C VOLATILE;

CREATE FUNCTION ux_catalog.ux_file_rename(text, text)
RETURNS bool
AS 'SELECT ux_catalog.ux_file_rename($1, $2, NULL::ux_catalog.text);'
LANGUAGE SQL VOLATILE STRICT;

CREATE FUNCTION ux_catalog.ux_file_unlink(text)
RETURNS bool
AS 'MODULE_PATHNAME', 'ux_file_unlink'
LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION ux_catalog.ux_logdir_ls()
RETURNS setof record
AS 'MODULE_PATHNAME', 'ux_logdir_ls'
LANGUAGE C VOLATILE STRICT;


/* Renaming of existing backend functions for uxAdmin compatibility */

CREATE FUNCTION ux_catalog.ux_file_read(text, bigint, bigint)
RETURNS text
AS 'ux_read_file'
LANGUAGE INTERNAL VOLATILE STRICT;

CREATE FUNCTION ux_catalog.ux_file_length(text)
RETURNS bigint
AS 'SELECT size FROM ux_catalog.ux_stat_file($1)'
LANGUAGE SQL VOLATILE STRICT;

CREATE FUNCTION ux_catalog.ux_logfile_rotate()
RETURNS int4
AS 'ux_rotate_logfile'
LANGUAGE INTERNAL VOLATILE STRICT;
