/* contrib/ux_buffercache/ux_buffercache--1.2.sql */

-- complain if script is sourced in uxsql, rather than via CREATE EXTENSION
\echo Use "CREATE EXTENSION ux_buffercache" to load this file. \quit

-- Register the function.
CREATE FUNCTION ux_buffercache_pages()
RETURNS SETOF RECORD
AS 'MODULE_PATHNAME', 'ux_buffercache_pages'
LANGUAGE C PARALLEL SAFE;

-- Create a view for convenient access.
CREATE VIEW ux_buffercache AS
	SELECT P.* FROM ux_buffercache_pages() AS P
	(bufferid integer, relfilenode oid, reltablespace oid, reldatabase oid,
	 relforknumber int2, relblocknumber int8, isdirty bool, usagecount int2,
	 pinning_backends int4);

-- Don't want these to be available to public.
REVOKE ALL ON FUNCTION ux_buffercache_pages() FROM PUBLIC;
REVOKE ALL ON ux_buffercache FROM PUBLIC;
