/* contrib/uxstattuple/uxstattuple--1.1--1.2.sql */

-- complain if script is sourced in uxsql, rather than via ALTER EXTENSION
\echo Use "ALTER EXTENSION uxstattuple UPDATE TO '1.2'" to load this file. \quit

ALTER EXTENSION uxstattuple DROP FUNCTION uxstattuple(oid);
DROP FUNCTION uxstattuple(oid);

CREATE FUNCTION uxstattuple(IN reloid regclass,
    OUT table_len BIGINT,		-- physical table length in bytes
    OUT tuple_count BIGINT,		-- number of live tuples
    OUT tuple_len BIGINT,		-- total tuples length in bytes
    OUT tuple_percent FLOAT8,		-- live tuples in %
    OUT dead_tuple_count BIGINT,	-- number of dead tuples
    OUT dead_tuple_len BIGINT,		-- total dead tuples length in bytes
    OUT dead_tuple_percent FLOAT8,	-- dead tuples in %
    OUT free_space BIGINT,		-- free space in bytes
    OUT free_percent FLOAT8)		-- free space in %
AS 'MODULE_PATHNAME', 'uxstattuplebyid'
LANGUAGE C STRICT;

CREATE FUNCTION uxstatindex(IN relname regclass,
    OUT version INT,
    OUT tree_level INT,
    OUT index_size BIGINT,
    OUT root_block_no BIGINT,
    OUT internal_pages BIGINT,
    OUT leaf_pages BIGINT,
    OUT empty_pages BIGINT,
    OUT deleted_pages BIGINT,
    OUT avg_leaf_density FLOAT8,
    OUT leaf_fragmentation FLOAT8)
AS 'MODULE_PATHNAME', 'uxstatindexbyid'
LANGUAGE C STRICT;

CREATE FUNCTION ux_relpages(IN relname regclass)
RETURNS BIGINT
AS 'MODULE_PATHNAME', 'ux_relpagesbyid'
LANGUAGE C STRICT;
